### Enumeration

# Gtk EditableProperties

#### Declaration

    enum Gtk.EditableProperties

#### Description [src]

The identifiers for `GtkEditable` properties.

See `gtk_editable_install_properties()` for details on how to implement the `GtkEditable` interface.

#### Members

`GTK_EDITABLE_PROP_TEXT`

  The property id for `GtkEditable:text`

  - Value: `0`
  - Nickname: `prop-text`
  - Available since: 4.0
`GTK_EDITABLE_PROP_CURSOR_POSITION`

  The property id for `GtkEditable:cursor-position`

  - Value: `1`
  - Nickname: `prop-cursor-position`
  - Available since: 4.0
`GTK_EDITABLE_PROP_SELECTION_BOUND`

  The property id for `GtkEditable:selection-bound`

  - Value: `2`
  - Nickname: `prop-selection-bound`
  - Available since: 4.0
`GTK_EDITABLE_PROP_EDITABLE`

  The property id for `GtkEditable:editable`

  - Value: `3`
  - Nickname: `prop-editable`
  - Available since: 4.0
`GTK_EDITABLE_PROP_WIDTH_CHARS`

  The property id for `GtkEditable:width-chars`

  - Value: `4`
  - Nickname: `prop-width-chars`
  - Available since: 4.0
`GTK_EDITABLE_PROP_MAX_WIDTH_CHARS`

  The property id for `GtkEditable:max-width-chars`

  - Value: `5`
  - Nickname: `prop-max-width-chars`
  - Available since: 4.0
`GTK_EDITABLE_PROP_XALIGN`

  The property id for `GtkEditable:xalign`

  - Value: `6`
  - Nickname: `prop-xalign`
  - Available since: 4.0
`GTK_EDITABLE_PROP_ENABLE_UNDO`

  The property id for `GtkEditable:enable-undo`

  - Value: `7`
  - Nickname: `prop-enable-undo`
  - Available since: 4.0
`GTK_EDITABLE_NUM_PROPERTIES`

  The number of properties.

  - Value: `8`
  - Nickname: `num-properties`
  - Available since: 4.0